## cclive 0.7.0.1

=== CMakeLists.txt ===

cmake_minimum_required (VERSION 2.8.0)

project (cclive)

add_definitions (-Wall)
#add_definitions (-Werror)

# Version.

set (VERSION "0.7.0.1")
set (VERSION_LONG "${VERSION}")
set (BRANCH "0.7.0")

if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
    find_program (GIT_PROG "git")
    if (GIT_PROG)
        execute_process (
            COMMAND ${GIT_PROG} "describe" "${BRANCH}"
            OUTPUT_VARIABLE DESCR
            OUTPUT_STRIP_TRAILING_WHITESPACE)
        if (DESCR)
            set (VERSION_LONG "${DESCR}")
        endif ()
    endif ()
endif ()

find_program (DATE_PROG "date")
if (DATE_PROG)
    execute_process (
        COMMAND ${DATE_PROG} "+%Y-%m-%d"
        OUTPUT_VARIABLE DATE
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (DATE)
        set (VERSION_LONG "${VERSION_LONG} built on ${DATE}")
    endif ()
endif ()

set (HOST_SETUP "${CMAKE_SYSTEM_NAME} ${CMAKE_SYSTEM_PROCESSOR}")
set (VERSION_LONG "${VERSION_LONG} for ${HOST_SETUP}")

# gzip.

find_program (GZIP_PROG "gzip")

# pod2man.

find_program (POD2MAN_PROG "pod2man")
if (POD2MAN_PROG)
    add_custom_target (pod2man
        "${POD2MAN_PROG}" -c "cclive manual" -n cclive -s 1 -r ${VERSION}
        ${CMAKE_CURRENT_SOURCE_DIR}/man1/cclive.1.pod
        ${CMAKE_CURRENT_BINARY_DIR}/man1/cclive.1
    )
endif ()

# Set build type default.

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "debug")
endif ()

# Set verbose makefile default.

if (NOT CMAKE_VERBOSE_MAKEFILE)
    set (CMAKE_VERBOSE_MAKEFILE false)
endif ()

# Set WITHOUT_DOC default.

if (NOT WITHOUT_DOC)
    set (WITHOUT_DOC false)
endif ()

# Prerequisites.

include (FindPkgConfig)

pkg_check_modules (quvi     libquvi>=0.2.0 REQUIRED)
include_directories (AFTER ${quvi_INCLUDE_DIRS})
link_directories (${quvi_LIBRARY_DIRS})

pkg_check_modules (curl     libcurl>=7.20 REQUIRED)
include_directories (AFTER ${curl_INCLUDE_DIRS})
link_directories (${curl_LIBRARY_DIRS})

pkg_check_modules (pcre libpcrecpp>=8.10 REQUIRED)
include_directories (AFTER ${pcre_INCLUDE_DIRS})
link_directories (${pcre_LIBRARY_DIRS})

pkg_check_modules (pcrecpp  libpcrecpp>=8.10 REQUIRED)
include_directories (AFTER ${pcrecpp_INCLUDE_DIRS})
link_directories (${pcrecpp_LIBRARY_DIRS})

# Prerequisites: Boost

set (boost_LIBS
    program_options
    iostreams
    filesystem
    system
# foreach   -- this is a header-only library
# format    -- ditto
# date_time -- ...
# random    -- ...
)

set (Boost_USE_STATIC_LIBS   OFF)
set (Boost_USE_MULTITHREADED OFF)

find_package (Boost 1.42.0 COMPONENTS ${boost_LIBS} REQUIRED)

include_directories (AFTER ${Boost_INCLUDE_DIR})
link_directories (${Boost_LIBRARY_DIRS})

set (boost_VERSION
    "${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")

# Check for headers.

include (CheckIncludeFile)
check_include_file (unistd.h    HAVE_UNISTD_H)
check_include_file (sys/types.h HAVE_SYS_TYPES_H)
check_include_file (sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_file (sys/stat.h  HAVE_SYS_STAT_H)
check_include_file (signal.h    HAVE_SIGNAL_H)

# Check for functions

include (CheckFunctionExists)
check_function_exists (strerror_r   HAVE_STRERROR_R)
check_function_exists (strerror     HAVE_STRERROR)
check_function_exists (fork         HAVE_FORK)
check_function_exists (getcwd       HAVE_GETCWD)

# Subdirs.

subdirs (lib cclive man1)

# Status.

message (STATUS)
message (STATUS "Configuration for")
message (STATUS "   cclive ${VERSION_LONG}")
message (STATUS)
message (STATUS "Options:")
message (STATUS "   Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "   Host setup    : ${HOST_SETUP}")
message (STATUS "   Build type    : ${CMAKE_BUILD_TYPE}")
message (STATUS "       (debug, release, relwithdebinfo, minsizerel)")
message (STATUS "   Verbose make  : ${CMAKE_VERBOSE_MAKEFILE}")
message (STATUS "   Without doc   : ${WITHOUT_DOC}")
message (STATUS)
message (STATUS "Found:")
message (STATUS "   Compiler: ${CMAKE_CXX_COMPILER}")
message (STATUS "   Linker  : ${CMAKE_LINKER}")
message (STATUS "   Make    : ${CMAKE_MAKE_PROGRAM}")
message (STATUS "   quvi    : ${quvi_VERSION}")
message (STATUS "   curl    : ${curl_VERSION}")
message (STATUS "   pcre    : ${pcre_VERSION}")
message (STATUS "   boost   : ${boost_VERSION}")
message (STATUS)

# Force these variables to be written to cache.

set (CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}" CACHE PATH
    "Install destination for ${PROJECT_NAME}" FORCE)

set (CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
    "Type of build: none, debug, release, relwithdebinfo minsizerel" FORCE)

set (CMAKE_VERBOSE_MAKEFILE "${CMAKE_VERBOSE_MAKEFILE}" CACHE BOOL
    "Build with verbose makefiles: true, false" FORCE)

set (WITHOUT_DOC "${WITHOUT_DOC}" CACHE BOOL
    "Install without documentation: true, false" FORCE)

# config.h

configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

# CPack.

include (InstallRequiredSystemLibraries)

set (CPACK_SOURCE_PACKAGE_FILE_NAME
    "cclive-${VERSION}"
    CACHE INTERNAL
    "tarball basename"
)

set (CPACK_PACKAGE_FILE_NAME ${CPACK_SOURCE_PACKAGE_FILE_NAME})
set (CPACK_GENERATOR "TGZ")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
set (CPACK_RESOURCE_FILE_README  ${CMAKE_CURRENT_SOURCE_DIR}/README)

set (CPACK_SOURCE_IGNORE_FILES
    "/.git"
    "/.cmake/"
    "/CMakeFiles/"
    "/CMakeCache/"
    "/Makefile/"
    "/tmp/"
    "/OLD/"
    "/old/"
    "TODO"
    "/.gar"
)

# Notice the inclusion here, after setting the cpack variables.
include (CPack)

# dist.

add_custom_target (
    dist
    git log --stat --after="Thu Aug 12 15:54:58 2010" >
        "${CMAKE_CURRENT_SOURCE_DIR}/ChangeLog" && make package_source
)

# Uninstall.

configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target (
    uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/uninstall.cmake"
)

=== cclive/CMakeLists.txt ===

set (cclive_SRC
    src/application.cpp
    src/background.cpp
    src/error.cpp
    src/exec.cpp
    src/file.cpp
    src/get.cpp
    src/license.cpp
    src/log.cpp
    src/main.cpp
    src/options.cpp
    src/progressbar.cpp
    src/re.cpp
    src/wait.cpp
)

add_executable (cclive ${cclive_SRC})

add_dependencies (cclive quvicpp)

include_directories(
    BEFORE
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${quvicpp_SOURCE_DIR}/include
)

target_link_libraries (cclive
    quvicpp # See lib/quvicpp/CMakeLists.txt
    ${curl_LIBRARIES}
    ${pcrecpp_LIBRARIES}
    ${Boost_LIBRARIES}
)

# Install.

install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/cclive DESTINATION bin)

=== lib/CMakeLists.txt ===

subdirs (quvicpp)

=== man1/CMakeLists.txt ===

# Install.

if (NOT WITHOUT_DOC)

    set (man_1   "cclive.1")
    set (man_src "${CMAKE_CURRENT_SOURCE_DIR}/${man_1}")

    if (GZIP_PROG)

        set (man_gz "${CMAKE_CURRENT_BINARY_DIR}/${man_1}.gz")

        execute_process (
            COMMAND
            "${GZIP_PROG}"
            "${man_src}"
            "-c"
            OUTPUT_FILE "${man_gz}"
            RESULT_VARIABLE gzip_rc)

        if (gzip_rc EQUAL 0)
            set (man_inst "${man_gz}")
        endif ()

    else () # no gzip
        set (man_inst "${man_src}")
    endif ()

    install (FILES "${man_inst}" DESTINATION share/man/man1)

endif () # not WITHOUT_DOC

=== lib/quvicpp/CMakeLists.txt ===


project (quvicpp)

set (quvicpp_SRC
    src/error.cpp
    src/link.cpp
    src/misc.cpp
    src/options.cpp
    src/query.cpp
    src/video.cpp
)

add_library (quvicpp ${quvicpp_SRC})

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)

target_link_libraries (quvicpp ${quvi_LIBRARIES})

link_directories (${quvicpp_BINARY_DIR}/quvicpp)

## cclive 0.6.3

=== debian/changelog ===
cclive (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #576866, 582458).
  * Fix d/watch (Closes: #582372).
  * Add libquvi-dev in Build-Depends field.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 22 May 2010 11:13:52 -0430

cclive (0.6.2-1) unstable; urgency=low

  * New upstream version 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 29 Mar 2010 22:24:13 -0430

cclive (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 21 Dec 2009 22:21:19 -0430

cclive (0.5.6-1) unstable; urgency=low

  * New upstream release 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 13 Dec 2009 22:18:21 -0430

cclive (0.5.5-1) unstable; urgency=low

  * New upstream release 
  * debian/control: 
       - Remove libcurl4-openssl-dev 
       - libcurl4-gnutls-dev (Closes: #556597).
 
 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 20 Nov 2009 14:29:01 -0430

cclive (0.5.2-1) unstable; urgency=low

  * New upstream release 
  * Remove "export DH_VERBOSE=1" from d/rules

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 04 Oct 2009 10:41:39 -0430

cclive (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Remove README.w32 from debian docs 
  * Update debian/rules to use dh7 template.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Wed, 16 Sep 2009 19:55:07 -0430

cclive (0.5.0-2) unstable; urgency=low

  * Fix arch field in debian/control file.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 04 Sep 2009 06:20:17 -0430

cclive (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #544239)

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 29 Aug 2009 17:12:10 -0430

=== debian/control ===
Source: cclive
Section: video
Priority: optional
Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libcurl4-gnutls-dev,
               libpcre3-dev, libquvi-dev 
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/cclive/

Package: cclive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight command line video extraction tool 
 cclive is a lightweight command line video extraction tool for Youtube and
 other similar video websites. It is a rewrite of the clive software in C++
 with lower system footprint and fewer dependencies.
 .
 cclive is primarily a "video download tool" but it can also be used along
 side with video player software, like "mplayer", for viewing streamed
 videos instead of the Adobe flash player.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure

=== debian/watch ===
version=3
http://code.google.com/p/cclive/downloads/list \
              .*=cclive-(.*).tar.bz2.*

## cclive 0.7.0.1

=== debian/changelog ===
cclive (0.7.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #607779)
  * Remove d/cclive.clean and d/cclive.docs
  * d/rules: 
      - Remove dh_auto_configure entry. It's not needed because the 
        package use the cmake.
      - Add upstream changelog override to NEWS ('ChangLog' upstream 
        file is really a git log).
  * d/control: 
      - Replace autotools-dev depends to cmake.
      - Update homepage field (Closes: #608071).
  * d/copyright: 
      - Updated format to DEP5
      - Remove src/funnyhub.cpp and src/myubo.cpp (files were removed from
        upstream version)
    entries. 
  * Update watch file to use new oficial page sf.net
  * Remove NEWS and TODO from d/cclive.docs
  * Add patches/fix-deps patch to downgrade libpcrecpp depend and set build
    type in "release" instead of "debug".  

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 03 Sep 2010 00:16:43 -0430

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libcurl4-gnutls-dev,
-               libpcre3-dev, libquvi-dev 
-Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/cclive/
+Build-Depends: debhelper (>= 7.0.50), cmake, libcurl4-gnutls-dev, libpcre3-dev,
+         libquvi-dev, libboost-filesystem1.42-dev, libboost-iostreams1.42-dev,
+         libboost-program-options1.42-dev 
+Standards-Version: 3.9.1
+Homepage: http://cclive.sourceforge.net
 
 Package: cclive
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

 
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release


override_dh_installchangelogs:
	dh_installchangelogs NEWS

## cclive 0.7.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # Version.
 
-set (VERSION "0.7.0.1")
+set (VERSION "0.7.3.1")
 set (VERSION_LONG "${VERSION}")
-set (BRANCH "0.7.0")
+set (BRANCH "master")
 
 if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
     find_program (GIT_PROG "git")
@@ -72,23 +72,35 @@
     set (WITHOUT_DOC false)
 endif ()
 
+# Include dir.
+
+include_directories (BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/include)
+
 # Prerequisites.
 
 include (FindPkgConfig)
 
-pkg_check_modules (quvi     libquvi>=0.2.0 REQUIRED)
+pkg_check_modules (quvi libquvi>=0.2.0 REQUIRED QUIET)
 include_directories (AFTER ${quvi_INCLUDE_DIRS})
 link_directories (${quvi_LIBRARY_DIRS})
 
-pkg_check_modules (curl     libcurl>=7.20 REQUIRED)
+if (quvi_VERSION VERSION_GREATER 0.2.7)
+    set (HAVE_QUVIOPT_NOSHORTENED true)
+endif ()
+
+if (quvi_VERSION VERSION_GREATER 0.2.11)
+    set (HAVE_QUVIOPT_CATEGORY true)
+endif ()
+
+pkg_check_modules (curl libcurl>=7.20 REQUIRED QUIET)
 include_directories (AFTER ${curl_INCLUDE_DIRS})
 link_directories (${curl_LIBRARY_DIRS})
 
-pkg_check_modules (pcre libpcrecpp>=8.10 REQUIRED)
+pkg_check_modules (pcre libpcre>=8.02 REQUIRED QUIET)
 include_directories (AFTER ${pcre_INCLUDE_DIRS})
 link_directories (${pcre_LIBRARY_DIRS})
 
-pkg_check_modules (pcrecpp  libpcrecpp>=8.10 REQUIRED)
+pkg_check_modules (pcrecpp libpcrecpp>=8.02 REQUIRED QUIET)
 include_directories (AFTER ${pcrecpp_INCLUDE_DIRS})
 link_directories (${pcrecpp_LIBRARY_DIRS})
 
@@ -107,6 +119,7 @@
 
 set (Boost_USE_STATIC_LIBS   OFF)
 set (Boost_USE_MULTITHREADED OFF)
+set (Boost_FIND_QUIETLY      ON)
 
 find_package (Boost 1.42.0 COMPONENTS ${boost_LIBS} REQUIRED)
 
@@ -115,6 +128,18 @@
 
 set (boost_VERSION
     "${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")
+
+# Version 3 is a major revision with many new and improved features. It
+# may, however, break some user code written for Version 2.
+#
+# To ease the transition, Boost releases 1.44 through 1.47 will supply
+# both V2 and V3. Version 2 is the default version for Boost release 1.44
+# and 1.45. Version 3 will be the default starting with release 1.46.
+#   <http://www.boost.org/libs/filesystem/index.html>
+
+if (boost_VERSION VERSION_GREATER 1.43.0)
+    set (HAVE_BOOST_FILESYSTEM_VERSION_3 true)
+endif ()
 
 # Check for headers.
 
@@ -132,33 +157,37 @@
 check_function_exists (strerror     HAVE_STRERROR)
 check_function_exists (fork         HAVE_FORK)
 check_function_exists (getcwd       HAVE_GETCWD)
+check_function_exists (getpid       HAVE_GETPID)
+check_function_exists (signal       HAVE_SIGNAL)
 
 # Subdirs.
 
-subdirs (lib cclive man1)
+subdirs (src man1)
 
 # Status.
 
 message (STATUS)
-message (STATUS "Configuration for")
+message (STATUS "Configured:")
 message (STATUS "   cclive ${VERSION_LONG}")
-message (STATUS)
-message (STATUS "Options:")
-message (STATUS "   Install prefix: ${CMAKE_INSTALL_PREFIX}")
-message (STATUS "   Host setup    : ${HOST_SETUP}")
-message (STATUS "   Build type    : ${CMAKE_BUILD_TYPE}")
-message (STATUS "       (debug, release, relwithdebinfo, minsizerel)")
-message (STATUS "   Verbose make  : ${CMAKE_VERBOSE_MAKEFILE}")
-message (STATUS "   Without doc   : ${WITHOUT_DOC}")
 message (STATUS)
 message (STATUS "Found:")
 message (STATUS "   Compiler: ${CMAKE_CXX_COMPILER}")
 message (STATUS "   Linker  : ${CMAKE_LINKER}")
+message (STATUS "   CMake   : ${CMAKE_VERSION}")
 message (STATUS "   Make    : ${CMAKE_MAKE_PROGRAM}")
+message (STATUS "   Host    : ${HOST_SETUP}")
 message (STATUS "   quvi    : ${quvi_VERSION}")
 message (STATUS "   curl    : ${curl_VERSION}")
 message (STATUS "   pcre    : ${pcre_VERSION}")
+message (STATUS "   pcrecpp : ${pcrecpp_VERSION}")
 message (STATUS "   boost   : ${boost_VERSION}")
+message (STATUS)
+message (STATUS "Options:")
+message (STATUS "   Install prefix: ${CMAKE_INSTALL_PREFIX}")
+message (STATUS "   Verbose make  : ${CMAKE_VERBOSE_MAKEFILE}")
+message (STATUS "   Without doc   : ${WITHOUT_DOC}")
+message (STATUS "   Build type    : ${CMAKE_BUILD_TYPE}")
+message (STATUS "       (debug, release, relwithdebinfo, minsizerel)")
 message (STATUS)
 
 # Force these variables to be written to cache.
@@ -182,45 +211,7 @@
     "${CMAKE_CURRENT_BINARY_DIR}/config.h"
 )
 
-# CPack.
-
-include (InstallRequiredSystemLibraries)
-
-set (CPACK_SOURCE_PACKAGE_FILE_NAME
-    "cclive-${VERSION}"
-    CACHE INTERNAL
-    "tarball basename"
-)
-
-set (CPACK_PACKAGE_FILE_NAME ${CPACK_SOURCE_PACKAGE_FILE_NAME})
-set (CPACK_GENERATOR "TGZ")
-set (CPACK_SOURCE_GENERATOR "TGZ")
-set (CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
-set (CPACK_RESOURCE_FILE_README  ${CMAKE_CURRENT_SOURCE_DIR}/README)
-
-set (CPACK_SOURCE_IGNORE_FILES
-    "/.git"
-    "/.cmake/"
-    "/CMakeFiles/"
-    "/CMakeCache/"
-    "/Makefile/"
-    "/tmp/"
-    "/OLD/"
-    "/old/"
-    "TODO"
-    "/.gar"
-)
-
-# Notice the inclusion here, after setting the cpack variables.
-include (CPack)
-
-# dist.
-
-add_custom_target (
-    dist
-    git log --stat --after="Thu Aug 12 15:54:58 2010" >
-        "${CMAKE_CURRENT_SOURCE_DIR}/ChangeLog" && make package_source
-)
+include_directories (${CMAKE_CURRENT_BINARY_DIR})
 
 # Uninstall.

=== src/CMakeLists.txt ===

set (cclive_SRC
    application.cpp
    background.cpp
    error.cpp
    exec.cpp
    file.cpp
    get.cpp
    license.cpp
    log.cpp
    main.cpp
    options.cpp
    progressbar.cpp
    re.cpp
    wait.cpp
)

set (quvicpp_SRC
    quvicpp/error.cpp
    quvicpp/link.cpp
    quvicpp/misc.cpp
    quvicpp/options.cpp
    quvicpp/query.cpp
    quvicpp/video.cpp
)

add_executable (cclive ${quvicpp_SRC} ${cclive_SRC})

include_directories(
    BEFORE
    ${CMAKE_BINARY_DIR}
)

target_link_libraries (cclive
    ${quvi_LIBRARIES}
    ${curl_LIBRARIES}
    ${pcrecpp_LIBRARIES}
    ${Boost_LIBRARIES}
)

# Install.

install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/cclive DESTINATION bin)

=== debian/changelog ===
cclive (0.7.3.1-1ubuntu1) oneiric; urgency=low

  * Bump boost build-depends to 1.46

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Aug 2011 00:20:58 -0400

cclive (0.7.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #608393, #588795) 
  * Remove patch: The changes was included by upstream author.
  * Remove two white lines in d/rules 
  * d/copyright: Update Copyright years to 2009,2011 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 07 Mar 2011 14:37:59 -0430

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), cmake, libcurl4-gnutls-dev, libpcre3-dev,
-         libquvi-dev, libboost-filesystem1.42-dev, libboost-iostreams1.42-dev,
-         libboost-program-options1.42-dev 
+         libquvi-dev, libboost-filesystem1.46-dev, libboost-iostreams1.46-dev,
+         libboost-program-options1.46-dev 
 Standards-Version: 3.9.1
 Homepage: http://cclive.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://sf.net/cclive/cclive-(.*).tar.gz

## cclive 0.7.8

=== debian/changelog ===
cclive (0.7.8-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    + Works with libquvi 0.4. (Closes: #651638)
  * Bump build-dep on libquvi-dep to >= 0.2.16.1.
  * Add build-dep on libboost-date-time-dev.
  * Drop build-dep on cmake, use dh-autoreconf.
  * Do not set rpath when linking Boost libraries.
    + new patch: fix-rpath.diff
  * debian/watch: Also look for .tar.bz2 and .tar.xz.
  * Install NEWS as documentation and not as upstream changelog.
  * Remove debian/cclive.examples (removed upstream).
  * Use xz compression for source and binary packages.
  * debian/control: Add Vcs-* fields.
  * Bumped Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 15 Jan 2012 20:13:58 +0100

cclive (0.7.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Switch to non-versioned boost build-dependencies.  
    (Closes: #630437).

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Jul 2011 00:40:40 -0500

=== debian/control ===
Source: cclive
Section: video
Priority: optional
Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
         libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,
         libboost-program-options-dev, libboost-date-time-dev
Standards-Version: 3.9.2
Homepage: http://cclive.sourceforge.net
Vcs-Git: git://github.com/mogaal/cclive.git
Vcs-Browser: https://github.com/mogaal/cclive

Package: cclive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: lightweight command line video extraction tool 
 cclive is a lightweight command line video extraction tool for Youtube and
 other similar video websites. It is a rewrite of the clive software in C++
 with lower system footprint and fewer dependencies.
 .
 cclive is primarily a "video download tool" but it can also be used along
 side with video player software, like "mplayer", for viewing streamed
 videos instead of the Adobe flash player.

## cclive 0.7.9

=== debian/changelog ===
cclive (0.7.9-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

cclive (0.7.9-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 25 Apr 2012 23:16:22 +0200

cclive (0.7.8-1) unstable; urgency=low

  * Upload to unstable.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3.
    + Use copyright format 1.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 03 Mar 2012 23:43:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
          libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,
          libboost-program-options-dev, libboost-date-time-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://cclive.sourceforge.net
 Vcs-Git: git://github.com/mogaal/cclive.git
 Vcs-Browser: https://github.com/mogaal/cclive

## cclive 0.7.12

=== debian/changelog ===
cclive (0.7.12-2) unstable; urgency=low

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 09 May 2013 15:10:59 +0200

cclive (0.7.12-1) experimental; urgency=low

  * New upstream release.
    - Do not ignore IO errors. (Closes: #699484)
  * d/copyright: update copyright years.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 16 Feb 2013 14:55:46 -0430

cclive (0.7.11-1) experimental; urgency=low

  * New upstream release. 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 16 Dec 2012 09:40:32 -0430

cclive (0.7.10-1) experimental; urgency=low

  * New upstream release. 
  * Update fix-rpath patch.
  * Create cclive.links to add man symlink for ccl.
  * Update d/compat and d/control to dh9.
  * Update Standards-Version to 3.9.4.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 08 Oct 2012 22:33:11 -0430

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
          libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,
-         libboost-program-options-dev, libboost-date-time-dev
-Standards-Version: 3.9.3
+         libboost-program-options-dev, libboost-date-time-dev, asciidoc
+Standards-Version: 3.9.4
 Homepage: http://cclive.sourceforge.net
 Vcs-Git: git://github.com/mogaal/cclive.git
 Vcs-Browser: https://github.com/mogaal/cclive

## cclive 0.7.13

=== debian/changelog ===
cclive (0.7.13-1) unstable; urgency=low

  * New upstream release.
  * Update fix-rpath.diff patch.
  * Update Maintainer field in d/control.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sat, 08 Jun 2013 14:24:34 -0430

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
          libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,

## cclive 0.7.16

=== debian/changelog ===
cclive (0.7.16-2.1build1) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:00:51 +0100

cclive (0.7.16-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix build failure with GCC 5, call cpp with -P. Closes: #777812.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jul 2015 10:48:26 +0200

cclive (0.7.16-2) unstable; urgency=low

  * fix-rpath.diff: Add Last-Update statement. 
  * Add pkg-config to BD in d/control (Closes: #747766)
  * Update Standards-Version to 3.9.5

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 11 May 2014 16:51:26 -0430

cclive (0.7.16-1) unstable; urgency=low

  * Adapt d/watch to stable version only (0.7.X).
  * New upstream release (Closes: #722616, #720870).
  * (cosmetic) Improve d/control structure.
  * Add copyright of m4/boost.m4 in d/copyright.
  * Add subdir-objects to AM_INIT_AUTOMAKE var in fix-rpath.diff. 

 -- Alejandro Garrido Mota <alejandro@debian.org>  Fri, 20 Sep 2013 10:22:56 -0430

cclive (0.7.15-1) unstable; urgency=low

  * New upstream release.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Fri, 09 Aug 2013 05:49:49 -0430

=== debian/control ===
Source: cclive
Section: video
Priority: optional
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libcurl4-gnutls-dev,
 libpcre3-dev,
 libquvi-dev (>= 0.2.16.1),
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-date-time-dev,
 asciidoc,
 pkg-config
Standards-Version: 3.9.5
Homepage: http://cclive.sourceforge.net
Vcs-Git: git://github.com/mogaal/cclive.git
Vcs-Browser: https://github.com/mogaal/cclive

Package: cclive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: lightweight command line video extraction tool 
 cclive is a lightweight command line video extraction tool for Youtube and
 other similar video websites. It is a rewrite of the clive software in C++
 with lower system footprint and fewer dependencies.
 .
 cclive is primarily a "video download tool" but it can also be used along
 side with video player software, like "mplayer", for viewing streamed
 videos instead of the Adobe flash player.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://sf.net/cclive/cclive-(0\.7\..*).tar.(?:xz|gz|bz2)

## cclive 0.9.3

=== debian/changelog ===
cclive (0.9.3-0.1build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:27 +0000

cclive (0.9.3-0.1build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:11:54 +0000

cclive (0.9.3-0.1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:39:57 +0000

cclive (0.9.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Update debian/watch to scan for all versions, not just 0.7.x.
  * New upstream release (Closes: #810953)
    - includes libquvi 0.9 support.
  * Update debian/copyright for GPLv3+ -> AGPLv3+ change.

  [ Tim Lunn ]
  * debian/control.in:
    - Add build-deps on libglib2.0-dev and libglibmm-2.4-dev
    - Bump build-deps on libquvi-0.9-dev and libboost
  * Add d/p/fix-FTBFS-missing-includes.patch
    - fix build failure due to missing includes

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Feb 2016 17:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libcurl4-gnutls-dev,
+ libglib2.0-dev,
+ libglibmm-2.4-dev,
  libpcre3-dev,
- libquvi-dev (>= 0.2.16.1),
- libboost-filesystem-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libboost-date-time-dev,
+ libquvi-0.9-dev,
+ libboost-filesystem-dev (>= 1.49),
+ libboost-iostreams-dev (>= 1.49),
+ libboost-program-options-dev (>= 1.49),
+ libboost-date-time-dev (>= 1.49),
  asciidoc,
  pkg-config
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
http://sf.net/cclive/cclive-(.*).tar.(?:xz|gz|bz2)
